Bug 1004240 - id option when creating content definition filters
id option when creating content definition filters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Partha Aji
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 05:22 EDT by Ales Dujicek
Modified: 2014-04-24 13:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:10:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-09-04 05:22:48 EDT
Description of problem:

--id option makes no sense when creating content definition filter;
it is assigned automatically:

> content definition filter create --org org --definition definition --name filter_id --id 20 
Successfully created filter [ filter_id ]
> content definition filter info --org org --definition definition --name filter_id
..
ID                      : 6
Name                    : filter_id
..

Version-Release number of selected component (if applicable):
katello-common-1.4.5-1.git.5.54a114c.el6.noarch
katello-cli-common-1.4.3-1.git.27.a001bbe.el6.noarch
katello-1.4.5-1.git.5.54a114c.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-katello-plugins-0.2-1.el6.noarch
katello-glue-elasticsearch-1.4.5-1.git.5.54a114c.el6.noarch
katello-all-1.4.5-1.git.5.54a114c.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.git.27.a001bbe.el6.noarch
katello-configure-1.4.5-1.el6.noarch
signo-katello-0.0.12-1.el6.noarch
katello-glue-candlepin-1.4.5-1.git.5.54a114c.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-pulp-1.4.5-1.git.5.54a114c.el6.noarch

How reproducible:
always
Comment 2 Partha Aji 2013-09-17 14:26:49 EDT
https://github.com/Katello/katello-cli/pull/90 <- should be resolved when this gets merged.
Comment 5 Bryan Kearney 2014-04-24 13:10:27 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.